Package ru.bitel.bgbilling.modules.subscription.common.bean

# Class RegistrationPeriod

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.subscription.common.bean.RegistrationPeriod

All Implemented Interfaces:
  `Serializable`, `Idable`

public class RegistrationPeriod extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistrationPeriod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateCreate()`
  `PeriodWithTime`
  `getPeriod()`
  `int`
  `getSubscriptionId()`
  `int`
  `getWhoCreate()`
  `RegistrationPeriod`
  `setDateCreate(Date dateCreate)`
  `RegistrationPeriod`
  `setId(int id)`
  Устанавливает id объекта
  `RegistrationPeriod`
  `setPeriod(PeriodWithTime period)`
  `RegistrationPeriod`
  `setSubscriptionId(int subscriptionId)`
  `RegistrationPeriod`
  `setWhoCreate(int whoCreate)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegistrationPeriod

    public RegistrationPeriod()

- ## Method Details

  - ### getDateCreate

    public Date getDateCreate()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### getSubscriptionId

    public int getSubscriptionId()

  - ### getWhoCreate

    public int getWhoCreate()

  - ### setDateCreate

    public RegistrationPeriod setDateCreate(Date dateCreate)

  - ### setPeriod

    public RegistrationPeriod setPeriod(PeriodWithTime period)

  - ### setSubscriptionId

    public RegistrationPeriod setSubscriptionId(int subscriptionId)

  - ### setWhoCreate

    public RegistrationPeriod setWhoCreate(int whoCreate)

  - ### setId

    public RegistrationPeriod setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`